Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer.propertyrender
Class LayoutDirectionRender

    java.lang.Object
      nextapp.echo2.webcontainer.propertyrender.LayoutDirectionRender

    public class LayoutDirectionRender

extends java.lang.Object

Utility class for rendering `nextapp.echo2.app.LayoutDirection` properties.

Method Summary
`static java.lang.String` | `renderCssAttributeValue(LayoutDirection layoutDirection)` Renders a CSS attribute value representation of a `LayoutDirection`.
`static void` | `renderToStyle(CssStyle cssStyle, LayoutDirection layoutDirection, java.util.Locale locale)` Renders the layout direction of a component to the given CSS style, based on the provided `LayoutDirection` and `Locale` property values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### renderCssAttributeValue

    public static java.lang.String renderCssAttributeValue(LayoutDirection layoutDirection)

  Renders a CSS attribute value representation of a `LayoutDirection`.

  Parameters:
    `layoutDirection` - the `LayoutDirection` to render
  Returns:
    a CSS attribute value representation

### renderToStyle

    public static void renderToStyle(CssStyle cssStyle,
                                     LayoutDirection layoutDirection,
                                     java.util.Locale locale)

  Renders the layout direction of a component to the given CSS style, based on the provided `LayoutDirection` and `Locale` property values. Null property values are ignored.

  The provided `locale` and `layoutDirection` properties should represent the specific settings of a single `Component`, NOT those derived recursively from within its hierarchy. Using the recursively retrieved versions will result in direction information being rendered in cases where it is unnecessary.

  Parameters:
    `cssStyle` - the target `CssStyle`
    `layoutDirection` - the `LayoutDirection`
    `locale` - the `Locale`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD